Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.security
Class FlowRoleAccessVoter

    java.lang.Object
      org.acegisecurity.vote.AbstractAclVoter
          com.jaspersoft.jasperserver.war.security.FlowRoleAccessVoter

All Implemented Interfaces:
  org.acegisecurity.vote.AccessDecisionVoter

    public class FlowRoleAccessVoter

extends org.acegisecurity.vote.AbstractAclVoter

Version:
  $Id: FlowRoleAccessVoter.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from interface org.acegisecurity.vote.AccessDecisionVoter
`ACCESS_ABSTAIN, ACCESS_DENIED, ACCESS_GRANTED`

Constructor Summary
`FlowRoleAccessVoter()`

Method Summary
`java.lang.String` | `getFlowAccessAttribute()`
`FlowDefinitionSource` | `getFlowDefinitionSource()`
`protected boolean` | `matchesAuthority(org.acegisecurity.Authentication authentication, java.lang.String attribute)`
`void` | `setFlowAccessAttribute(java.lang.String flowAccessAttribute)`
`void` | `setFlowDefinitionSource(FlowDefinitionSource flowDefinitionSource)`
`boolean` | `supports(org.acegisecurity.ConfigAttribute attribute)`
`int` | `vote(org.acegisecurity.Authentication authentication, java.lang.Object object, org.acegisecurity.ConfigAttributeDefinition config)`
`protected int` | `voteFlowAccess(org.acegisecurity.Authentication authentication, java.lang.Object object)`

Methods inherited from class org.acegisecurity.vote.AbstractAclVoter
`getDomainObjectInstance, getProcessDomainObjectClass, setProcessDomainObjectClass, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowRoleAccessVoter

    public FlowRoleAccessVoter()

Method Detail

### supports

    public boolean supports(org.acegisecurity.ConfigAttribute attribute)

### vote

    public int vote(org.acegisecurity.Authentication authentication,
                    java.lang.Object object,
                    org.acegisecurity.ConfigAttributeDefinition config)

### voteFlowAccess

    protected int voteFlowAccess(org.acegisecurity.Authentication authentication,
                                 java.lang.Object object)

### matchesAuthority

    protected boolean matchesAuthority(org.acegisecurity.Authentication authentication,
                                       java.lang.String attribute)

### getFlowDefinitionSource

    public FlowDefinitionSource getFlowDefinitionSource()

### setFlowDefinitionSource

    public void setFlowDefinitionSource(FlowDefinitionSource flowDefinitionSource)

### getFlowAccessAttribute

    public java.lang.String getFlowAccessAttribute()

### setFlowAccessAttribute

    public void setFlowAccessAttribute(java.lang.String flowAccessAttribute)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.